//+------------------------------------------------------------------+
//|                                                  .mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|                                                      ProjectName |
//|                                      Copyright 2012, CompanyName |
//|                                       http://www.companyname.net |
//+------------------------------------------------------------------+


#define MODE_LOW 1
#define MODE_HIGH 2
#define MODE_TIME 5
#define MODE_BID 9
#define MODE_ASK 10
#define MODE_POINT 11
#define MODE_DIGITS 12
#define MODE_SPREAD 13
#define MODE_STOPLEVEL 14
#define MODE_LOTSIZE 15
#define MODE_TICKVALUE 16
#define MODE_TICKSIZE 17
#define MODE_SWAPLONG 18
#define MODE_SWAPSHORT 19
#define MODE_STARTING 20
#define MODE_EXPIRATION 21
#define MODE_TRADEALLOWED 22
#define MODE_MINLOT 23
#define MODE_LOTSTEP 24
#define MODE_MAXLOT 25
#define MODE_SWAPTYPE 26
#define MODE_PROFITCALCMODE 27
#define MODE_MARGINCALCMODE 28
#define MODE_MARGININIT 29
#define MODE_MARGINMAINTENANCE 30
#define MODE_MARGINHEDGED 31
#define MODE_MARGINREQUIRED 32
#define MODE_FREEZELEVEL 33
#include<Trade\Trade.mqh>
#include <Trade\SymbolInfo.mqh> 

//---     
CTrade  trade;
//CSymbolInfo symbol_info;
//+------------------------------------------------------------------+
//|        MQL5                                  |
//+------------------------------------------------------------------+
ENUM_TIMEFRAMES FixTF(int TimeFrame)
{
	switch (TimeFrame)
	{
	case 0: return(PERIOD_CURRENT);
	case 1: return(PERIOD_M1);
	case 5: return(PERIOD_M5);
	case 15: return(PERIOD_M15);
	case 30: return(PERIOD_M30);
	case 60: return(PERIOD_H1);
	case 240: return(PERIOD_H4);
	case 1440: return(PERIOD_D1);
	case 10080: return(PERIOD_W1);
	case 43200: return(PERIOD_MN1);

	case 2: return(PERIOD_M2);
	case 3: return(PERIOD_M3);
	case 4: return(PERIOD_M4);
	case 6: return(PERIOD_M6);
	case 10: return(PERIOD_M10);
	case 12: return(PERIOD_M12);
	case 16385: return(PERIOD_H1);
	case 16386: return(PERIOD_H2);
	case 16387: return(PERIOD_H3);
	case 16388: return(PERIOD_H4);
	case 16390: return(PERIOD_H6);
	case 16392: return(PERIOD_H8);
	case 16396: return(PERIOD_H12);
	case 16408: return(PERIOD_D1);
	case 32769: return(PERIOD_W1);
	case 49153: return(PERIOD_MN1);
	default: return(PERIOD_CURRENT);
	}
}



bool  OrderModifyMQL(
	int        ticket,      //  
	double     price,       //  
	double     stoploss,    // stop loss
	double     takeprofit,  // take profit
	datetime   expiration,  //   
	color      arrow_color  // 
	)
{
	
	return true;
}


int Lot = 1;
input long Magic = 444;

ulong tiket;
uint i;   
int BUYLIMIT,tiketbuy,ms,g;
double Ask, Bid, opb;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int OnInit()
{

 
  
EventSetMillisecondTimer(1);
  
	
	
	return(INIT_SUCCEEDED);
}

//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
{
	EventKillTimer();
	//---
}
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

void OnTick()
{
}

void OnTimer()
{

   
   CSymbolInfo symbol_info;
    symbol_info.Name(_Symbol);
   symbol_info.Refresh();
   symbol_info.RefreshRates();
  
 
   
   
   
	Ask = SymbolInfoDouble(Symbol(), SYMBOL_ASK);
	Bid = SymbolInfoDouble(Symbol(), SYMBOL_BID);
	
	
	
	datetime expiration = TimeTradeServer() + PeriodSeconds(PERIOD_D1);
	if (OrdersTotal() == 0 && BUYLIMIT == 0)
	{
		MqlTradeRequest Req = { 0 };
		MqlTradeResult  Res = { 0 };
		Req.action = TRADE_ACTION_PENDING;
		Req.symbol = _Symbol;
		Req.volume = 1.0;
		Req.price = Bid - 100 * _Point;
		Req.sl = 0;
		Req.tp = 0;
		Req.expiration = expiration;
		Req.magic = Magic;
		Req.type = ORDER_TYPE_BUY_LIMIT;
		Req.type_filling = ORDER_FILLING_RETURN;
		Req.type_time = ORDER_TIME_DAY;
		tiketbuy = ms = OrderSend(Req, Res);
		if (tiketbuy > 0)
			BUYLIMIT = 1;
		
	}
  ulong total=OrdersTotal();
  
	for (i = 0; i < total; i++) 
	{
		
		if ((tiket = OrderGetTicket(i)) <= 0 && Magic != OrderGetInteger(ORDER_MAGIC))
		   continue; 
		opb=symbol_info.NormalizePrice(Bid-20*_Point);
		
		
    
		if (BUYLIMIT > 0) 
		{
		
			if (OrderGetDouble(ORDER_PRICE_OPEN) != (opb))
			{
			
				g = trade.OrderModify(tiket, opb, 0, 0, ORDER_TIME_DAY, expiration);
				
			}
		}	
	}
}		








